<template>
	<view v-if="isFirst" class="wrapper wrapperbg">
		<view class="bg" @click="onTap">
			<view class="edit" @click.stop>
				<view class="title">{{type==1?'目标体重':'初始体重'}}</view>
				<view class="editem" @click="hideKeyboard" v-if="type!=1">
					<view class="name">日期</view>
					<view class="right">
						<uni-datetime-picker type="date" @change="changeLog" :border="false" :end="endDate"
							:clear-icon='false' :hide-second='false' />
					</view>
				</view>
				<view class="editem">
					<view class="name">体重</view>
					<view class="right">
						<input v-model="weight" type="digit" placeholder="请输入" />kg
					</view>
				</view>
				<view class="btn close" @click="onTap()">取消</view>
				<view class="btn" @click="handleTarget">确定</view>
			</view>
		</view>
	</view>
</template>

<script>
	import {
		mapState
	} from "vuex";
	export default {
		props: {
			type: {}
		},
		data() {
			return {
				regTime: "",
				weight: "",
			}
		},
		computed: {
			...mapState(["user", "isFirst"]),
			endDate() {
				return this.$tools.getDate("start")
			}
		},
		methods: {
			// 初始体重
			handleTarget() {
				let that = this
				if (that.type != 1 && !that.regTime) {
					that.$tools.msg("请选择测量日期")
					return
				}
				if (!that.weight) {
					that.$tools.msg("请输入测量体重")
					return
				}
				that.$model.getfirstweight({
					aud_id: that.user.id,
					time: that.type == 1 ? '' : that.regTime ? that.regTime : that.user.firstresulttime,
					weight: that.weight,
					type: that.type
				}).then(res => {
					console.log("目标，", res)
					that.$tools.msg(res.msg)
					if (res.code == 0) {
						that.$store.commit("changeFirst", false);
						that.$store.commit('changeUser', {
							target_current: res.data
						})
						that.regTime = ""
						that.weight = ""
					}
				})
			},
			//
			changeLog(e) {
				this.regTime = e
			},
			onTap() {
				this.weight = ""
				this.regTime = ""
				this.$store.commit("changeFirst", false);
			},
			hideKeyboard() {
				uni.hideKeyboard()
			},
		}
	}
</script>

<style scoped lang="scss">
	.btn {
		width: 40%;
		float: right;
		margin-top: 15px;
		background: $maincolor !important;
	}

	.edit {
		top: 20%
	}

	.close {
		background: #fff !important;
		float: left;
		color: #333;
	}
</style>